package hmggirlfront;

import gvclib.item.ItemMagazine;
import hmggirlfront.items.ItemBandage;
import hmggirlfront.items.ItemDollCN;
import hmggirlfront.items.ItemDollGunBase;
import hmggirlfront.items.ItemDollGun_AR;
import hmggirlfront.items.ItemDollGun_SD;
import hmggirlfront.items.ItemDollGun_SR;
import hmggirlfront.items.ItemDollGun_SW;
import hmggirlfront.items.ItemGF;
import hmggirlfront.items.ItemMissonCard;
import hmggirlfront.items.ItemMissonCard_Story;
import hmggirlfront.items.ItemMissonCard_Story2;
import hmggirlfront.items.ItemMissonCard_Story3;
import hmggirlfront.items.ItemSOFLAM;
import hmggirlfront.items.ItemSpawn_IBC;
import hmggirlfront.items.ItemSpawn_MAV;
import hmggirlfront.items.ItemTool_MAxe;
import hmggirlfront.items.ItemTool_MPickaxe;
import hmggirlfront.items.ItemTool_Sword;
import hmggirlfront.items.Item_PAD;
import net.minecraft.init.MobEffects;
import net.minecraft.item.EnumAction;
import net.minecraft.item.Item;
import net.minecraft.item.ItemFood;
import net.minecraft.item.ItemSpade;
import net.minecraft.potion.PotionEffect;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.event.RegistryEvent;

public class GFItemRegistry {
	public static void registry(mod_GirlFront mod, RegistryEvent.Register<Item> event){
		 
		{
			mod.idoll_pad	= new Item_PAD().setUnlocalizedName("idoll_pad").setMaxStackSize(1)
		    		.setRegistryName(mod.MOD_ID, "idoll_pad").setCreativeTab(mod.tabgg);
			{
				Item_PAD item = (Item_PAD) mod.idoll_pad;
				item.text1 = "hmggirlfront.idoll_pad.text1.name";
				item.text2 = "hmggirlfront.idoll_pad.text2.name";
				item.text3 = "hmggirlfront.idoll_pad.text3.name";
			}
		    event.getRegistry().register(mod.idoll_pad);
		}
		
		{
			mod.idoll_hp	= new Item().setUnlocalizedName("idoll_hp").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "idoll_hp").setCreativeTab(mod.tabgg);
		   
		    event.getRegistry().register(mod.idoll_hp);
		}
		{
			mod.idoll_bullet	= new Item().setUnlocalizedName("idoll_bullet").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "idoll_bullet").setCreativeTab(mod.tabgg);
		   
		    event.getRegistry().register(mod.idoll_bullet);
		}
		{
			mod.idoll_food	= (new ItemFood(4, 0.1F, true)).setPotionEffect(new PotionEffect(MobEffects.HUNGER, 600, 0), 0.8F)
					.setUnlocalizedName("idoll_food").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "idoll_food").setCreativeTab(mod.tabgg);
		    
		    event.getRegistry().register(mod.idoll_food);
		}
		{
			mod.idoll_parts	= new Item().setUnlocalizedName("idoll_parts").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "idoll_parts").setCreativeTab(mod.tabgg);
		    
		    event.getRegistry().register(mod.idoll_parts);
		}
		{
			mod.idoll_doll_contract	= new Item().setUnlocalizedName("idoll_doll_contract").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "idoll_doll_contract").setCreativeTab(mod.tabgg);
		   
		    event.getRegistry().register(mod.idoll_doll_contract);
		}
		{
			mod.idoll_doll_rapidcontract	= new Item().setUnlocalizedName("idoll_doll_rapidcontract").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "idoll_doll_rapidcontract").setCreativeTab(mod.tabgg);
		    
		    event.getRegistry().register(mod.idoll_doll_rapidcontract);
		}
		{
			mod.idoll_doll_repair	= new Item().setUnlocalizedName("idoll_doll_repair").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "idoll_doll_repair").setCreativeTab(mod.tabgg);
		    
		    event.getRegistry().register(mod.idoll_doll_repair);
		}
		{
			mod.idoll_doll_dismantling	= new Item().setUnlocalizedName("idoll_doll_dismantling").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "idoll_doll_dismantling").setCreativeTab(mod.tabgg);
		   
		    event.getRegistry().register(mod.idoll_doll_dismantling);
		}
		{
			mod.idoll_doll_report	= new Item().setUnlocalizedName("idoll_doll_report").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "idoll_doll_report").setCreativeTab(mod.tabgg);
		    
		    event.getRegistry().register(mod.idoll_doll_report);
		}
		{
			mod.idoll_squad_cn	= new ItemDollCN().setUnlocalizedName("idoll_squad_cn").setMaxStackSize(1)
		    		.setRegistryName(mod.MOD_ID, "idoll_squad_cn").setCreativeTab(mod.tabgg);
		    
		    event.getRegistry().register(mod.idoll_squad_cn);
		}
		{
			mod.idoll_core	= new Item().setUnlocalizedName("idoll_core").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "idoll_core").setCreativeTab(mod.tabgg);
		   
		    event.getRegistry().register(mod.idoll_core);
		}
		
		{
			mod.idoll_bullet_9	= new ItemMagazine().setUnlocalizedName("idoll_bullet_9").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "idoll_bullet_9").setCreativeTab(mod.tabgg);
			{
				ItemMagazine magazine = (ItemMagazine) mod.idoll_bullet_9;
				magazine.magazine_tab = "9mmHG";
			}
		    event.getRegistry().register(mod.idoll_bullet_9);
		}
		{
			mod.idoll_bullet_45	= new ItemMagazine().setUnlocalizedName("idoll_bullet_45").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "idoll_bullet_45").setCreativeTab(mod.tabgg);
			{
				ItemMagazine magazine = (ItemMagazine) mod.idoll_bullet_45;
				magazine.magazine_tab = ".45calHG";
			}
		    event.getRegistry().register(mod.idoll_bullet_45);
		}
		{
			mod.idoll_bullet_556	= new ItemMagazine().setUnlocalizedName("idoll_bullet_556").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "idoll_bullet_556").setCreativeTab(mod.tabgg);
			{
				ItemMagazine magazine = (ItemMagazine) mod.idoll_bullet_556;
				magazine.magazine_tab = "5.56mmAR";
			}
		    event.getRegistry().register(mod.idoll_bullet_556);
		}
		{
			mod.idoll_bullet_762	= new ItemMagazine().setUnlocalizedName("idoll_bullet_762").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "idoll_bullet_762").setCreativeTab(mod.tabgg);
			{
				ItemMagazine magazine = (ItemMagazine) mod.idoll_bullet_762;
				magazine.magazine_tab = "7.62mmRF";
			}
		    event.getRegistry().register(mod.idoll_bullet_762);
		}
		{
			mod.idoll_bullet_12g	= new ItemMagazine().setUnlocalizedName("idoll_bullet_12g").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "idoll_bullet_12g").setCreativeTab(mod.tabgg);
			{
				ItemMagazine magazine = (ItemMagazine) mod.idoll_bullet_12g;
				magazine.magazine_tab = "12GA";
			}
		    event.getRegistry().register(mod.idoll_bullet_12g);
		}
		{
			mod.idoll_bullet_57	= new ItemMagazine().setUnlocalizedName("idoll_bullet_57").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "idoll_bullet_57").setCreativeTab(mod.tabgg);
			{
				ItemMagazine magazine = (ItemMagazine) mod.idoll_bullet_57;
				magazine.magazine_tab = "5.7mmPDW";
			}
		    event.getRegistry().register(mod.idoll_bullet_57);
		}
		{
			mod.idoll_bullet_473kr	= new ItemMagazine().setUnlocalizedName("idoll_bullet_473kr").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "idoll_bullet_473kr").setCreativeTab(mod.tabgg);
			{
				ItemMagazine magazine = (ItemMagazine) mod.idoll_bullet_473kr;
				magazine.magazine_tab = "4.73mmKR";
			}
		    event.getRegistry().register(mod.idoll_bullet_473kr);
		}
		{
			mod.idoll_bullet_40	= new ItemMagazine().setUnlocalizedName("idoll_bullet_40").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "idoll_bullet_40").setCreativeTab(mod.tabgg);
			{
				ItemMagazine magazine = (ItemMagazine) mod.idoll_bullet_40;
				magazine.magazine_tab = "40mmGL";
			}
		    event.getRegistry().register(mod.idoll_bullet_40);
		}
		{
			mod.idoll_bandage	= new ItemBandage(0, 4, false, 32, EnumAction.BOW).setUnlocalizedName("idoll_bandage").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "idoll_bandage").setCreativeTab(mod.tabgg);
		   
		    event.getRegistry().register(mod.idoll_bandage);
		}
		
		{
			mod.idoll_pledge	= new ItemGF().setUnlocalizedName("idoll_pledge").setMaxStackSize(1)
		    		.setRegistryName(mod.MOD_ID, "idoll_pledge").setCreativeTab(mod.tabgg);
			{
				ItemGF item = (ItemGF) mod.idoll_pledge;
				item.text1 = "hmggirlfront.idoll_pledge.text1.name";
				item.text2 = "hmggirlfront.idoll_pledge.text2.name";
				item.text3 = "hmggirlfront.idoll_pledge.text3.name";
			}
		    event.getRegistry().register(mod.idoll_pledge);
		}
		
		{
			mod.idoll_l_performance_circuit	= new Item().setUnlocalizedName("idoll_l_performance_circuit").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "idoll_l_performance_circuit").setCreativeTab(mod.tabgg);
		   
		    event.getRegistry().register(mod.idoll_l_performance_circuit);
		}
		{
			mod.idoll_h_performance_circuit	= new Item().setUnlocalizedName("idoll_h_performance_circuit").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "idoll_h_performance_circuit").setCreativeTab(mod.tabgg);
		   
		    event.getRegistry().register(mod.idoll_h_performance_circuit);
		}
		{
			mod.idoll_collapse_sample	= new Item().setUnlocalizedName("idoll_collapse_sample").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "idoll_collapse_sample").setCreativeTab(mod.tabgg);
		   
		    event.getRegistry().register(mod.idoll_collapse_sample);
		}
		
		
		
		
		
		
		{
			mod.gk_kalina	= new ItemSpawn_IBC(200).setUnlocalizedName("gk_kalina").setMaxStackSize(1)
		    		.setRegistryName(mod.MOD_ID, "gk_kalina").setCreativeTab(mod.tabgg_mob);
		   
		    event.getRegistry().register(mod.gk_kalina);
		}
		{
			mod.mission_card_1	= new ItemMissonCard(1).setUnlocalizedName("mission_card_1").setMaxStackSize(1)
		    		.setRegistryName(mod.MOD_ID, "mission_card_1").setCreativeTab(mod.tabgg);
		    
		    event.getRegistry().register(mod.mission_card_1);
		}
		{
			mod.mission_card_2	= new ItemMissonCard(2).setUnlocalizedName("mission_card_2").setMaxStackSize(1)
		    		.setRegistryName(mod.MOD_ID, "mission_card_2").setCreativeTab(mod.tabgg);
		   
		    event.getRegistry().register(mod.mission_card_2);
		}
		{
			mod.mission_card_3	= new ItemMissonCard(3).setUnlocalizedName("mission_card_3").setMaxStackSize(1)
		    		.setRegistryName(mod.MOD_ID, "mission_card_3").setCreativeTab(mod.tabgg);
		    
		    event.getRegistry().register(mod.mission_card_3);
		}
		{
			mod.mission_card_4	= new ItemMissonCard(4).setUnlocalizedName("mission_card_4").setMaxStackSize(1)
		    		.setRegistryName(mod.MOD_ID, "mission_card_4").setCreativeTab(mod.tabgg);
		    
		    event.getRegistry().register(mod.mission_card_4);
		}
		{
			mod.mission_card_5	= new ItemMissonCard(5).setUnlocalizedName("mission_card_5").setMaxStackSize(1)
		    		.setRegistryName(mod.MOD_ID, "mission_card_5").setCreativeTab(mod.tabgg);
		   
		    event.getRegistry().register(mod.mission_card_5);
		}
		{
			mod.mission_card_6	= new ItemMissonCard(6).setUnlocalizedName("mission_card_6").setMaxStackSize(1)
		    		.setRegistryName(mod.MOD_ID, "mission_card_6").setCreativeTab(mod.tabgg);
		    
		    event.getRegistry().register(mod.mission_card_6);
		}
		
		
		{
			mod.helianthus	= new ItemSpawn_IBC(199).setUnlocalizedName("helianthus").setMaxStackSize(1)
		    		.setRegistryName(mod.MOD_ID, "helianthus").setCreativeTab(mod.tabgg_mob);
		   
		    event.getRegistry().register(mod.helianthus);
		}
		
		{
			mod.story_mission_card_1	= new ItemMissonCard_Story().setUnlocalizedName("story_mission_card_1").setMaxStackSize(1)
		    		.setRegistryName(mod.MOD_ID, "story_mission_card_1").setCreativeTab(mod.tabgg);
		   
		    event.getRegistry().register(mod.story_mission_card_1);
		}
		
		{
			mod.story_mission_card_2	= new ItemMissonCard_Story2().setUnlocalizedName("story_mission_card_2").setMaxStackSize(1)
		    		.setRegistryName(mod.MOD_ID, "story_mission_card_2").setCreativeTab(mod.tabgg);
		   
		    event.getRegistry().register(mod.story_mission_card_2);
		}
		{
			mod.story_mission_card_3	= new ItemMissonCard_Story3().setUnlocalizedName("story_mission_card_3").setMaxStackSize(1)
		    		.setRegistryName(mod.MOD_ID, "story_mission_card_3").setCreativeTab(mod.tabgg);
		   
		    event.getRegistry().register(mod.story_mission_card_3);
		}
		
		{
			mod.gk_kryuger	= new ItemSpawn_IBC(198).setUnlocalizedName("gk_kryuger").setMaxStackSize(1)
		    		.setRegistryName(mod.MOD_ID, "gk_kryuger").setCreativeTab(mod.tabgg_mob);
		   
		    event.getRegistry().register(mod.gk_kryuger);
		}
		{
			mod.gk_springfield	= new ItemSpawn_IBC(194).setUnlocalizedName("gk_springfield").setMaxStackSize(1)
		    		.setRegistryName(mod.MOD_ID, "gk_springfield").setCreativeTab(mod.tabgg_mob);
		   
		    event.getRegistry().register(mod.gk_springfield);
		}
		
		
		{
			mod.ve_weaponchange	= new ItemGF().setUnlocalizedName("ve_weaponchange").setMaxStackSize(1)
		    		.setRegistryName(mod.MOD_ID, "ve_weaponchange").setCreativeTab(mod.tabgg);
			{
				ItemGF item = (ItemGF) mod.ve_weaponchange;
				item.text1 = "hmggirlfront.ve_weaponchange.text1.name";
				//item.text2 = "hmggirlfront.ve_weaponchange.text2.name";
				//item.text3 = "hmggirlfront.ve_weaponchange.text3.name";
			}
		    event.getRegistry().register(mod.ve_weaponchange);
		}
		{
			mod.ve_heli	= new ItemSpawn_IBC(300).setUnlocalizedName("ve_heli").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "ve_heli").setCreativeTab(mod.tabgg_mob);
		    
		    event.getRegistry().register(mod.ve_heli);
		}
		{
			mod.ve_apc	= new ItemSpawn_IBC(301).setUnlocalizedName("ve_apc").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "ve_apc").setCreativeTab(mod.tabgg_mob);
		    
		    event.getRegistry().register(mod.ve_apc);
		}
		{
			mod.ve_bike	= new ItemSpawn_IBC(302).setUnlocalizedName("ve_bike").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "ve_bike").setCreativeTab(mod.tabgg_mob);
		   
		    event.getRegistry().register(mod.ve_bike);
		}
		{
			mod.ve_ifv	= new ItemSpawn_IBC(303).setUnlocalizedName("ve_ifv").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "ve_ifv").setCreativeTab(mod.tabgg_mob);
		    
		    event.getRegistry().register(mod.ve_ifv);
		}
		{
			mod.ve_truck	= new ItemSpawn_IBC(304).setUnlocalizedName("ve_truck").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "ve_truck").setCreativeTab(mod.tabgg_mob);
		    
		    event.getRegistry().register(mod.ve_truck);
		}
		{
			mod.ve_hmmwv	= new ItemSpawn_IBC(305).setUnlocalizedName("ve_hmmwv").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "ve_hmmwv").setCreativeTab(mod.tabgg_mob);
		    
		    event.getRegistry().register(mod.ve_hmmwv);
		}
		{
			mod.ve_rhib	= new ItemSpawn_IBC(306).setUnlocalizedName("ve_rhib").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "ve_rhib").setCreativeTab(mod.tabgg_mob);
		    
		    event.getRegistry().register(mod.ve_rhib);
		}
		{
			mod.ve_cb90	= new ItemSpawn_IBC(307).setUnlocalizedName("ve_cb90").setMaxStackSize(64)
		    		.setRegistryName(mod.MOD_ID, "ve_cb90").setCreativeTab(mod.tabgg_mob);
		    
		    event.getRegistry().register(mod.ve_cb90);
		}
		
		{
			mod.doll_tool_combatknife	= new ItemTool_Sword(mod.doll_tool).setUnlocalizedName("doll_tool_combatknife").setMaxStackSize(1)
		    		.setRegistryName(mod.MOD_ID, "doll_tool_combatknife").setCreativeTab(mod.tabgg);
		   
		    event.getRegistry().register(mod.doll_tool_combatknife);
		}
		{
			mod.doll_tool_mshovel	= new ItemSpade(mod.doll_tool).setUnlocalizedName("doll_tool_mshovel").setMaxStackSize(1)
		    		.setRegistryName(mod.MOD_ID, "doll_tool_mshovel").setCreativeTab(mod.tabgg);
		   
		    event.getRegistry().register(mod.doll_tool_mshovel);
		}
		{
			mod.doll_tool_mpickaxe	= new ItemTool_MPickaxe(mod.doll_tool).setUnlocalizedName("doll_tool_mpickaxe").setMaxStackSize(1)
		    		.setRegistryName(mod.MOD_ID, "doll_tool_mpickaxe").setCreativeTab(mod.tabgg);
		    
		    event.getRegistry().register(mod.doll_tool_mpickaxe);
		}
		{
			mod.doll_tool_maxe	= new ItemTool_MAxe(mod.doll_tool).setUnlocalizedName("doll_tool_maxe").setMaxStackSize(1)
		    		.setRegistryName(mod.MOD_ID, "doll_tool_maxe").setCreativeTab(mod.tabgg);
		   
		    event.getRegistry().register(mod.doll_tool_maxe);
		}
		 
		
		{
			mod.doll_tool_soflam	= new ItemSOFLAM().setUnlocalizedName("doll_tool_soflam").setMaxStackSize(1)
		    		.setRegistryName(mod.MOD_ID, "doll_tool_soflam").setCreativeTab(mod.tabgg);
			{
				ItemSOFLAM item = (ItemSOFLAM) mod.doll_tool_soflam;
				item.text1 = "hmggirlfront.doll_tool_soflam.text1.name";
				item.text2 = "hmggirlfront.doll_tool_soflam.text2.name";
				item.text3 = "hmggirlfront.doll_tool_soflam.text3.name";
			}
		    event.getRegistry().register(mod.doll_tool_soflam);
		}
		
		//doll
		
		
		/*{
			mod.comand_drone	= new ItemSpawn_MAV().setUnlocalizedName("comand_drone").setMaxStackSize(1)
		    		.setRegistryName(mod.MOD_ID, "comand_drone").setCreativeTab(mod.tabgg);
		   
		    event.getRegistry().register(mod.comand_drone);
		}*/
		
		
		
	   
		
		//enemy
		{
			 mod.ibc01	= new ItemSpawn_IBC(1).setUnlocalizedName("ibc01")
			    		.setRegistryName(mod.MOD_ID, "ibc01").setCreativeTab(mod.tabgg_mob);
			   
			    event.getRegistry().register(mod.ibc01);
		}
		{
			 mod.ibc02	= new ItemSpawn_IBC(2).setUnlocalizedName("ibc02")
			    		.setRegistryName(mod.MOD_ID, "ibc02").setCreativeTab(mod.tabgg_mob);
			   
			    event.getRegistry().register(mod.ibc02);
		}
		{
			 mod.ibc03	= new ItemSpawn_IBC(3).setUnlocalizedName("ibc03")
			    		.setRegistryName(mod.MOD_ID, "ibc03").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.ibc03);
		}
		{
			 mod.ibc04	= new ItemSpawn_IBC(4).setUnlocalizedName("ibc04")
			    		.setRegistryName(mod.MOD_ID, "ibc04").setCreativeTab(mod.tabgg_mob);
			   
			    event.getRegistry().register(mod.ibc04);
		}
		{
			mod.dollgun_ibc04smg	= new ItemDollGun_AR().setUnlocalizedName("dollgun_ibc04smg")
					.setRegistryName(mod.MOD_ID, "dollgun_ibc04smg").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ibc04smg;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/enemy/dollgun_ibc04smg.txt");
				gun.modid = mod.MOD_ID;
				LoadDollStatus.load(gun, mod, event, status, "enemy/dollgun_ibc04smg.txt");
				
			}
		    event.getRegistry().register(mod.dollgun_ibc04smg);
		}
		{
			 mod.ibc05	= new ItemSpawn_IBC(5).setUnlocalizedName("ibc05")
			    		.setRegistryName(mod.MOD_ID, "ibc05").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.ibc05);
		}
		{
			mod.dollgun_ibc05ar	= new ItemDollGun_AR().setUnlocalizedName("dollgun_ibc05ar")
					.setRegistryName(mod.MOD_ID, "dollgun_ibc05ar").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ibc05ar;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/enemy/dollgun_ibc05ar.txt");
				gun.modid = mod.MOD_ID;
				LoadDollStatus.load(gun, mod, event, status, "enemy/dollgun_ibc05ar.txt");
				
			}
		    event.getRegistry().register(mod.dollgun_ibc05ar);
		}
		{
			 mod.ibc06	= new ItemSpawn_IBC(6).setUnlocalizedName("ibc06")
			    		.setRegistryName(mod.MOD_ID, "ibc06").setCreativeTab(mod.tabgg_mob);
			   
			    event.getRegistry().register(mod.ibc06);
		}
		{
			mod.dollgun_ibc06rf	= new ItemDollGun_SR().setUnlocalizedName("dollgun_ibc06rf")
					.setRegistryName(mod.MOD_ID, "dollgun_ibc06rf").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ibc06rf;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/enemy/dollgun_ibc06rf.txt");
				gun.modid = mod.MOD_ID;
				LoadDollStatus.load(gun, mod, event, status, "enemy/dollgun_ibc06rf.txt");
				
			}
		    event.getRegistry().register(mod.dollgun_ibc06rf);
		}
		{
			 mod.ibc07	= new ItemSpawn_IBC(7).setUnlocalizedName("ibc07")
			    		.setRegistryName(mod.MOD_ID, "ibc07").setCreativeTab(mod.tabgg_mob);
			   
			    event.getRegistry().register(mod.ibc07);
		}
		{
			mod.dollgun_ibc07hg	= new ItemDollGun_SR().setUnlocalizedName("dollgun_ibc07hg")
					.setRegistryName(mod.MOD_ID, "dollgun_ibc07hg").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ibc07hg;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/enemy/dollgun_ibc07hg.txt");
				gun.modid = mod.MOD_ID;
				LoadDollStatus.load(gun, mod, event, status, "enemy/dollgun_ibc07hg.txt");
				
			}
		    event.getRegistry().register(mod.dollgun_ibc07hg);
		}
		{
			mod.dollgun_ibc07sd	= new ItemDollGun_SD().setUnlocalizedName("dollgun_ibc07sd")
					.setRegistryName(mod.MOD_ID, "dollgun_ibc07sd").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ibc07sd;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/enemy/dollgun_ibc07sd.txt");
				gun.modid = mod.MOD_ID;
				LoadDollStatus.load(gun, mod, event, status, "enemy/dollgun_ibc07sd.txt");
				
			}
		    event.getRegistry().register(mod.dollgun_ibc07sd);
		}
		{
			 mod.ibc08	= new ItemSpawn_IBC(8).setUnlocalizedName("ibc08")
			    		.setRegistryName(mod.MOD_ID, "ibc08").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.ibc08);
		}
		{
			mod.dollgun_ibc08sw	= new ItemDollGun_SW().setUnlocalizedName("dollgun_ibc08sw")
					.setRegistryName(mod.MOD_ID, "dollgun_ibc08sw").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ibc08sw;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/enemy/dollgun_ibc08sw.txt");
				gun.modid = mod.MOD_ID;
				LoadDollStatus.load(gun, mod, event, status, "enemy/dollgun_ibc08sw.txt");
				
			}
		    event.getRegistry().register(mod.dollgun_ibc08sw);
		}
		{
			mod.dollgun_ibc08sd	= new ItemDollGun_SD().setUnlocalizedName("dollgun_ibc08sd")
					.setRegistryName(mod.MOD_ID, "dollgun_ibc08sd").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ibc08sd;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/enemy/dollgun_ibc08sd.txt");
				gun.modid = mod.MOD_ID;
				LoadDollStatus.load(gun, mod, event, status, "enemy/dollgun_ibc08sd.txt");
				
			}
		    event.getRegistry().register(mod.dollgun_ibc08sd);
		}
		{
			 mod.ibc09	= new ItemSpawn_IBC(9).setUnlocalizedName("ibc09")
			    		.setRegistryName(mod.MOD_ID, "ibc09").setCreativeTab(mod.tabgg_mob);
			   
			    event.getRegistry().register(mod.ibc09);
		}
		{
			 mod.ibc10	= new ItemSpawn_IBC(10).setUnlocalizedName("ibc10")
			    		.setRegistryName(mod.MOD_ID, "ibc10").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.ibc10);
		}
		{
			 mod.ibc11	= new ItemSpawn_IBC(11).setUnlocalizedName("ibc11")
			    		.setRegistryName(mod.MOD_ID, "ibc11").setCreativeTab(mod.tabgg_mob);
			   
			    event.getRegistry().register(mod.ibc11);
		}
		{
			 mod.ibc12	= new ItemSpawn_IBC(12).setUnlocalizedName("ibc12")
			    		.setRegistryName(mod.MOD_ID, "ibc12").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.ibc12);
		}
		{
			 mod.ibc13	= new ItemSpawn_IBC(13).setUnlocalizedName("ibc13")
			    		.setRegistryName(mod.MOD_ID, "ibc13").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.ibc13);
		}
		{
			mod.dollgun_ibc13glg	= new ItemDollGun_AR().setUnlocalizedName("dollgun_ibc13glg")
					.setRegistryName(mod.MOD_ID, "dollgun_ibc13glg").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ibc13glg;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/enemy/dollgun_ibc13glg.txt");
				gun.modid = mod.MOD_ID;
				LoadDollStatus.load(gun, mod, event, status, "enemy/dollgun_ibc13glg.txt");
				
			}
		    event.getRegistry().register(mod.dollgun_ibc13glg);
		}
		{
			 mod.ibc14	= new ItemSpawn_IBC(14).setUnlocalizedName("ibc14")
			    		.setRegistryName(mod.MOD_ID, "ibc14").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.ibc14);
		}
		{
			mod.dollgun_ibc14sw	= new ItemDollGun_SW().setUnlocalizedName("dollgun_ibc14sw")
					.setRegistryName(mod.MOD_ID, "dollgun_ibc14sw").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ibc14sw;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/enemy/dollgun_ibc14sw.txt");
				gun.modid = mod.MOD_ID;
				LoadDollStatus.load(gun, mod, event, status, "enemy/dollgun_ibc14sw.txt");
				
			}
		    event.getRegistry().register(mod.dollgun_ibc14sw);
		}
		{
			 mod.ibc01turret	= new ItemSpawn_IBC(32).setUnlocalizedName("ibc01turret")
			    		.setRegistryName(mod.MOD_ID, "ibc01turret").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.ibc01turret);
		}
		{
			 mod.ibc10turret	= new ItemSpawn_IBC(33).setUnlocalizedName("ibc10turret")
			    		.setRegistryName(mod.MOD_ID, "ibc10turret").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.ibc10turret);
		}
		
		{
			 mod.ibc_jupiter	= new ItemSpawn_IBC(35).setUnlocalizedName("ibc_jupiter")
			    		.setRegistryName(mod.MOD_ID, "ibc_jupiter").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.ibc_jupiter);
		}
		{
			 mod.ibc_generator	= new ItemSpawn_IBC(36).setUnlocalizedName("ibc_generator")
			    		.setRegistryName(mod.MOD_ID, "ibc_generator").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.ibc_generator);
		}
		
		
		
		
		
		/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		{
			 mod.ibc_boss01	= new ItemSpawn_IBC(101).setUnlocalizedName("ibc_boss01")
			    		.setRegistryName(mod.MOD_ID, "ibc_boss01").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.ibc_boss01);
		}
		{
			 mod.ibc_boss02	= new ItemSpawn_IBC(102).setUnlocalizedName("ibc_boss02")
			    		.setRegistryName(mod.MOD_ID, "ibc_boss02").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.ibc_boss02);
		}
		{
			mod.dollgun_ibcboss02hg	= new ItemDollGun_SR().setUnlocalizedName("dollgun_ibcboss02hg")
					.setRegistryName(mod.MOD_ID, "dollgun_ibcboss02hg").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ibcboss02hg;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/enemy/dollgun_ibcboss02hg.txt");
				gun.modid = mod.MOD_ID;
				LoadDollStatus.load(gun, mod, event, status, "enemy/dollgun_ibcboss02hg.txt");
				
			}
		    event.getRegistry().register(mod.dollgun_ibcboss02hg);
		}
		{
			mod.dollgun_ibcboss02sw	= new ItemDollGun_SW().setUnlocalizedName("dollgun_ibcboss02sw")
					.setRegistryName(mod.MOD_ID, "dollgun_ibcboss02sw").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ibcboss02sw;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/enemy/dollgun_ibcboss02sw.txt");
				LoadDollStatus.load(gun, mod, event, status, "enemy/dollgun_ibcboss02sw.txt");
				
			}
		    event.getRegistry().register(mod.dollgun_ibcboss02sw);
		}
		{
			 mod.ibc_boss03	= new ItemSpawn_IBC(103).setUnlocalizedName("ibc_boss03")
			    		.setRegistryName(mod.MOD_ID, "ibc_boss03").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.ibc_boss03);
		}
		{
			 mod.ibc_boss04	= new ItemSpawn_IBC(104).setUnlocalizedName("ibc_boss04")
			    		.setRegistryName(mod.MOD_ID, "ibc_boss04").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.ibc_boss04);
		}
		{
			mod.dollgun_ibcboss04glg	= new ItemDollGun_SR().setUnlocalizedName("dollgun_ibcboss04glg")
					.setRegistryName(mod.MOD_ID, "dollgun_ibcboss04glg").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ibcboss04glg;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/enemy/dollgun_ibcboss04glg.txt");
				gun.modid = mod.MOD_ID;
				LoadDollStatus.load(gun, mod, event, status, "enemy/dollgun_ibcboss04glg.txt");
				
			}
		    event.getRegistry().register(mod.dollgun_ibcboss04glg);
		}
		{
			 mod.ibc_boss05	= new ItemSpawn_IBC(105).setUnlocalizedName("ibc_boss05")
			    		.setRegistryName(mod.MOD_ID, "ibc_boss05").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.ibc_boss05);
		}
		{
			 mod.ibc_boss06	= new ItemSpawn_IBC(106).setUnlocalizedName("ibc_boss06")
			    		.setRegistryName(mod.MOD_ID, "ibc_boss06").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.ibc_boss06);
		}
		{
			 mod.ibc_boss07	= new ItemSpawn_IBC(107).setUnlocalizedName("ibc_boss07")
			    		.setRegistryName(mod.MOD_ID, "ibc_boss07").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.ibc_boss07);
		}
		{
			mod.dollgun_ibcboss07rf	= new ItemDollGun_SR().setUnlocalizedName("dollgun_ibcboss07rf")
					.setRegistryName(mod.MOD_ID, "dollgun_ibcboss07rf").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ibcboss07rf;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/enemy/dollgun_ibcboss07rf.txt");
				gun.modid = mod.MOD_ID;
				LoadDollStatus.load(gun, mod, event, status, "enemy/dollgun_ibcboss07rf.txt");
				
			}
		    event.getRegistry().register(mod.dollgun_ibcboss07rf);
		}
		{
			 mod.ibc_boss08	= new ItemSpawn_IBC(108).setUnlocalizedName("ibc_boss08")
			    		.setRegistryName(mod.MOD_ID, "ibc_boss08").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.ibc_boss08);
		}
		
		
		{
			 mod.socom_cyclops	= new ItemSpawn_IBC(151).setUnlocalizedName("socom_cyclops")
			    		.setRegistryName(mod.MOD_ID, "socom_cyclops").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.socom_cyclops);
		}
		{
			 mod.socom_aegis	= new ItemSpawn_IBC(152).setUnlocalizedName("socom_aegis")
			    		.setRegistryName(mod.MOD_ID, "socom_aegis").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.socom_aegis);
		}
		{
			 mod.socom_cerynitis	= new ItemSpawn_IBC(153).setUnlocalizedName("socom_cerynitis")
			    		.setRegistryName(mod.MOD_ID, "socom_cerynitis").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.socom_cerynitis);
		}
		{
			 mod.socom_hydra	= new ItemSpawn_IBC(154).setUnlocalizedName("socom_hydra")
			    		.setRegistryName(mod.MOD_ID, "socom_hydra").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.socom_hydra);
		}
		
		
		
		{
			 mod.elid_zombie	= new ItemSpawn_IBC(181).setUnlocalizedName("elid_zombie")
			    		.setRegistryName(mod.MOD_ID, "elid_zombie").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.elid_zombie);
		}
		{
			 mod.elid_skeleten	= new ItemSpawn_IBC(182).setUnlocalizedName("elid_skeleten")
			    		.setRegistryName(mod.MOD_ID, "elid_skeleten").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.elid_skeleten);
		}
		
		
		{
			 mod.npc_isomer	= new ItemSpawn_IBC(195).setUnlocalizedName("npc_isomer")
			    		.setRegistryName(mod.MOD_ID, "npc_isomer").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.npc_isomer);
		}
		
		{
			 mod.paradeus_nyto_obelisk	= new ItemSpawn_IBC(501).setUnlocalizedName("paradeus_nyto_obelisk")
			    		.setRegistryName(mod.MOD_ID, "paradeus_nyto_obelisk").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.paradeus_nyto_obelisk);
		}
		{
			 mod.paradeus_nyto_polarday	= new ItemSpawn_IBC(502).setUnlocalizedName("paradeus_nyto_polarday")
			    		.setRegistryName(mod.MOD_ID, "paradeus_nyto_polarday").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.paradeus_nyto_polarday);
		}
		{
			 mod.paradeus_nyto_nomal	= new ItemSpawn_IBC(503).setUnlocalizedName("paradeus_nyto_nomal")
			    		.setRegistryName(mod.MOD_ID, "paradeus_nyto_nomal").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.paradeus_nyto_nomal);
		}
		{
			 mod.paradeus_nyto_eot_1	= new ItemSpawn_IBC(504).setUnlocalizedName("paradeus_nyto_eot_1")
			    		.setRegistryName(mod.MOD_ID, "paradeus_nyto_eot_1").setCreativeTab(mod.tabgg_mob);
			    
			    event.getRegistry().register(mod.paradeus_nyto_eot_1);
		}
		
	}
}
